User avatar
MinecraftTom16
Posts: 47
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

vivaldi installation

Sun Feb 11, 2018 12:30 pm

umm... wwill you help me install vivaldi? I downloaded it, but what next? :?:


User avatar
bensimmo
Posts: 2622
Joined: Sun Dec 28, 2014 3:02 pm
Location: East Yorkshire

Re: vivaldi installation

Sun Feb 11, 2018 2:44 pm

And check the comments to get it to actually install.

n67
Posts: 632
Joined: Mon Oct 30, 2017 4:55 pm

Re: vivaldi installation

Sun Feb 11, 2018 3:31 pm

Anyway, in the early days of Debian Linux, before there were "package mangers" and the like, the usual way to install something on your system was to download a ".deb" file and then use "dpkg" to install it, like this:

# dpkg -i something.deb

And, indeed, this is how the Vivaldi people have chosen to distribute their product.

You download a file called something like:

vivaldi-stable_1.13.1008.34-1_armhf.deb

and then you install it via:

(become root and then)

# dpkg -i vivaldi-stable_1.13.1008.34-1_armhf.deb

And, voila! it works!

Note that when you do this "dpkg" command, the installation routine will put a file in your /etc/apt/sources.list.d directory called "vivaldi.list". This is to help you keep your copy of Vivaldi up-to-date - however, this file may or may not be workingproper. It may cause errors when you later do the usual "apt-get update" thing. You may want to delete this file.

User avatar
MinecraftTom16
Posts: 47
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

Re: vivaldi installation

Mon Feb 12, 2018 9:33 am

when i did the dpkg, it came up with this:

Code: Select all

Selecting previously unselected package vivaldi-stable.
(Reading database ... 151763 files and directories currently installed.)
Preparing to unpack vivaldi-stable_1.14.1077.45-1_armhf.deb ...
Unpacking vivaldi-stable (1.14.1077.45-1) ...
dpkg: dependency problems prevent configuration of vivaldi-stable:
 vivaldi-stable depends on libappindicator1; however:
  Package libappindicator1 is not installed.

dpkg: error processing package vivaldi-stable (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.13.3-9) ...
Processing triggers for desktop-file-utils (0.23-1) ...
Processing triggers for mime-support (3.60) ...
Errors were encountered while processing:
 vivaldi-stable
but with the download, after I do the extract thingy that pops up, what do I do?

n67
Posts: 632
Joined: Mon Oct 30, 2017 4:55 pm

Re: vivaldi installation

Mon Feb 12, 2018 11:06 am

You probably have to install "libappindicator1", whatever that is.

Note: I just remembered that when I installed Vivaldi on my system(s), it gave a similar error message about needing something called "fonts-liberation". So, I did:

Code: Select all

# apt-get install fonts-liberation
And then re-did the "dpkg" command to install Vivaldi, and it worked fine.

You will probably have to do something similar.

User avatar
MinecraftTom16
Posts: 47
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

Re: vivaldi installation

Mon Feb 12, 2018 11:19 am

but when I did

Code: Select all

sudo apt-get install libappindicator1
it came up with an error message to do with

Code: Select all

libappindicator7
, and when i tried to install libappindicator7, it said that It could not locate the package. :?: :?: :?: :?:

User avatar
MinecraftTom16
Posts: 47
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

Re: vivaldi installation

Mon Feb 12, 2018 11:20 am

Code: Select all

root@raspberrypi:/home/tomi# apt-get install libappindicator1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 libappindicator1 : Depends: libindicator7 (>= 0.4.90) but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
root@raspberrypi:/home/tomi# 

n67
Posts: 632
Joined: Mon Oct 30, 2017 4:55 pm

Re: vivaldi installation

Mon Feb 12, 2018 11:24 am

Try:

Code: Select all

$ apt-cache search libappindicator
And see if that helps.

User avatar
MinecraftTom16
Posts: 47
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

Re: vivaldi installation

Mon Feb 12, 2018 11:31 am

so far so good...

B.Goode
Posts: 5607
Joined: Mon Sep 01, 2014 4:03 pm
Location: UK

Re: vivaldi installation

Mon Feb 12, 2018 11:31 am

Editted: intial suggestion overtaken by events. But if that doesn't bring success...



I see that the developers of the Vivaldi browser have their own support forum at https://forum.vivaldi.net/category/112/ ... spberry-pi

And a channel for reporting bugs here
https://vivaldi.com/bugreport/


(No apology for not knowing the answers to your questions: hopefully the developer website will not be regarded as too 'obscure'.)

User avatar
MinecraftTom16
Posts: 47
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

Re: vivaldi installation

Mon Feb 12, 2018 11:34 am

Code: Select all

 $ vivaldi

(vivaldi:2636): Gtk-WARNING **: Theme parsing error: gtk-contained.css:2620:18: Expected a border style
[2636:2636:0212/183306.277481:ERROR:process_singleton_posix.cc(433)] readlink failed: Permission denied (13)
[2636:2636:0212/183306.277630:ERROR:process_singleton_posix.cc(256)] readlink(/home/tomi/.config/vivaldi/SingletonLock) failed: Permission denied (13)
[2636:2636:0212/183306.277763:ERROR:process_singleton_posix.cc(256)] readlink(/home/tomi/.config/vivaldi/SingletonLock) failed: Permission denied (13)
[2636:2636:0212/183306.277809:ERROR:process_singleton_posix.cc(280)] Failed to create /home/tomi/.config/vivaldi/SingletonLock: Permission denied (13)
[2636:2636:0212/183306.277874:ERROR:process_singleton_posix.cc(433)] readlink failed: Permission denied (13)
[2636:2636:0212/183306.277922:ERROR:process_singleton_posix.cc(256)] readlink(/home/tomi/.config/vivaldi/SingletonLock) failed: Permission denied (13)
[2636:2636:0212/183306.278248:ERROR:chrome_browser_main.cc(1512)] Failed to create a ProcessSingleton for your profile directory. This means that running multiple instances would start multiple browser processes rather than opening a new window in the existing process. Aborting now to avoid profile corruption.
[2636:2674:0212/183306.416111:ERROR:browser_gpu_channel_host_factory.cc(108)] Failed to launch GPU process.
:(

User avatar
MinecraftTom16
Posts: 47
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

Re: vivaldi installation

Mon Feb 12, 2018 11:46 am

maybe I just need a reboot? :?

User avatar
MinecraftTom16
Posts: 47
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

Re: vivaldi installation

Mon Feb 12, 2018 11:50 am

nope not that. still doesn't work.

User avatar
MinecraftTom16
Posts: 47
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

Re: vivaldi installation

Wed Feb 14, 2018 8:24 am

now it only works on the Pi user. (I´ve made my own user, as I wanted to keep the settings on the Pi user as default)

n67
Posts: 632
Joined: Mon Oct 30, 2017 4:55 pm

Re: vivaldi installation

Wed Feb 14, 2018 12:48 pm

Well, at least it is working now. That is the important thing.

I'd say, don't bother about other usernames. A long history of eternal-September questions posted here shows that it is just not worth the hassle.

User avatar
MinecraftTom16
Posts: 47
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

Re: vivaldi installation

Wed Feb 28, 2018 9:53 am

thanks - most likely ill use the pi account more now anyway.

Return to “General discussion”

Who is online

Users browsing this forum: Gavinmc42, Susja and 5 guests